<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <link href="monstyle.css" rel="stylesheet" type="text/css" />
        <!--<meta name="viewport" content="width=device-width, initial-scale=1.0"/>-->
        <title>eMarket - Catalog</title>
    </h:head>
    <h:body>
        <f:view>
            <h1>eMarket - Catalog</h1>
            <h:outputText value="Bienvenue sur l'application de commande en ligne eMarket."/>
            <br /><br />
            <h:dataTable value="#{catalogManager.catalog}" var="item"> 
                <h:column>
                    <f:facet name="header">Id</f:facet>
                    <h:outputText value="#{item.id}" />
                </h:column>
                <h:column>
                    <f:facet name="header">Nom</f:facet>
                    <h:outputText value="#{item.name}" />
                </h:column>
                <h:column>
                    <f:facet name="header">Prix</f:facet>
                    <h:outputText value="#{item.price}" />
                </h:column>
                <h:column>
                    <h:form>
                        <h:commandButton value="Ajouter au panier" action="#{shoppingCartManager.addToCart()}">
                            <f:setPropertyActionListener value="#{item}" target="#{shoppingCartManager.prodToAdd}" />
                        </h:commandButton>
                    </h:form>
                </h:column>
            </h:dataTable>
            <br /><br />
            <h:form>
                <h:commandLink action="catalogToHome">
                <h:outputText value="Lien vers la page d'accueil" styleClass="coralLink"/> </h:commandLink>
            </h:form>
        </f:view>
    </h:body>
</html>
